{% extends "base.html" %}
{% load static %}
{% block css %}


{% endblock css %}

{% block title %}

<h1>Formulario de Cierre Proceso Práctica</h1>

{% endblock title %}


{% block content %}

<div class="row">
	<div class="col-md-12">
		<div class="card">
			<header class="card-heading card-blue">
				<h2 class="card-title">Información General</h2>
			</header>
			<div class="card-body">
				<div class="row">
					<div class="col-md-4">
						<div class="form-group">
							<label for="nombre_alumno" class="control-label">Nombre Alumno: </label>
							<div class="well">
								{{practica.solicitud.alumno}}
							</div>
						</div>
					</div>
					<div class="col-md-4">
						<div class="form-group">
							<label for="rut_alumno" class="control-label">Rut Alumno: </label>
							<div class="well">
								{{practica.solicitud.alumno.rut}}
							</div>
						</div>
					</div>
					<div class="col-md-4">
						<div class="form-group">
							<label for="mail_supervisor" class="control-label">Periodo de Práctica: </label>
							<div class="well">
								Desde: {{practica.fecha_inicio}} Hasta:
							</div>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-4">
						<div class="form-group">
							<label for="nombre_alumno" class="control-label">Nombre Encargado Practica: </label>
							<div class="well">
								{{practica.solicitud.encargado}}
							</div>
						</div>
					</div>
					<div class="col-md-4">
						<div class="form-group">
							<label for="rut_alumno" class="control-label">Empresa: </label>
							<div class="well">
								{{practica.solicitud.empresa.nombre}}
							</div>
						</div>
					</div>
					<div class="col-md-4">
						<div class="form-group">
							<label for="mail_supervisor" class="control-label">Mail Encargado: </label>
							<div class="well">
								{{practica.solicitud.encargado.user}}@gmail.com
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="row">
	<div class="col-md-6">
		<div class="card">
			<header class="card-heading card-blue">
				<h2 class="card-title">Condiciones Personales</h2>
			</header>
			<div class="card-body">
				<div class="row">
					<div class="col-md-12">
						<table class="table table-bordered">
							<thead>
								<th class="text-center">Item</th>
								<th class="text-center">Evaluación</th>
							</thead>
							<form action="{% url 'create_final' %}" method="post">{% csrf_token %}
							<input style="display:none" name="pk" value="{{practica.pk}}" type="text">
							<tbody>
								<tr>
									<input type="text" name="6" id="6" style="display:none;">
									<td class="text-center" style="vertical-align: middle">Presentación Personal</td>
									<td class="text-center" style="vertical-align: middle">
										<div class="col-md-4">
											<button type="button" data-class="btn-success" data-number="6" class="btn btn-default btn-sm">Bueno</button>
										</div>
										<div class="col-md-4">
											<button type="button" data-class="btn-warning" data-number="6" class="btn btn-default btn-sm">Regular</button>
										</div>
										<div class="col-md-4">
											<button type="button" data-class="btn-danger" data-number="6" class="btn btn-default btn-sm">Deficiente</button>
										</div>
									</td>
								</tr>
								<tr>
									<input type="text" name="7" id="7" style="display:none;">
									<td class="text-center" style="vertical-align: middle">Asistencia</td>
									<td class="text-center" style="vertical-align: middle">
										<div class="col-md-4">
											<button type="button" data-class="btn-success" data-number="7" class="btn btn-default btn-sm">Bueno</button>
										</div>
										<div class="col-md-4">
											<button type="button" data-class="btn-warning" data-number="7" class="btn btn-default btn-sm">Regular</button>
										</div>
										<div class="col-md-4">
											<button type="button" data-class="btn-danger" data-number="7" class="btn btn-default btn-sm">Deficiente</button>
										</div>
									</td>
								</tr>
								<tr>																		<input type="text" name="8" id="8" style="display:none;">
									<td class="text-center" style="vertical-align: middle">Puntualidad</td>
									<td class="text-center" style="vertical-align: middle">
										<div class="col-md-4">
											<button type="button" data-class="btn-success" data-number="8" class="btn btn-default btn-sm">Bueno</button>
										</div>
										<div class="col-md-4">
											<button type="button" data-class="btn-warning" data-number="8" class="btn btn-default btn-sm">Regular</button>
										</div>
										<div class="col-md-4">
											<button type="button" data-class="btn-danger" data-number="8" class="btn btn-default btn-sm">Deficiente</button>
										</div>
									</td>
								</tr>
							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="col-md-6">
		<div class="card">
			<header class="card-heading card-blue">
				<h2 class="card-title">Actitud Ante Sus Superiores</h2>
			</header>
			<div class="card-body">
				<div class="row">
					<div class="col-md-12">
						<table class="table table-bordered">
							<thead>
								<th class="text-center" style="vertical-align: middle">Item</th>
								<th class="text-center" style="vertical-align: middle">Evaluación</th>
							</thead>
							<tbody>
								<tr><input type="text" name="9" id="9" style="display:none;">
									<td class="text-center" style="vertical-align: middle">Desposición de Trabajo</td>
									<td class="text-center" style="vertical-align: middle">
										<div class="col-md-4">
											<button type="button" data-class="btn-success" data-number="9" class="btn btn-default btn-sm">Bueno</button>
										</div>
										<div class="col-md-4">
											<button type="button" data-class="btn-warning" data-number="9" class="btn btn-default btn-sm">Regular</button>
										</div>
										<div class="col-md-4">
											<button type="button" data-class="btn-danger" data-number="9" class="btn btn-default btn-sm">Deficiente</button>
										</div>
									</td>
								</tr>
								<tr><input type="text" name="10" id="10" style="display:none;">
									<td class="text-center" style="vertical-align: middle">Respeto a su Superior</td>
									<td class="text-center" style="vertical-align: middle">
										<div class="col-md-4">
											<button type="button" data-class="btn-success" data-number="10" class="btn btn-default btn-sm">Bueno</button>
										</div>
										<div class="col-md-4">
											<button type="button" data-class="btn-warning" data-number="10" class="btn btn-default btn-sm">Regular</button>
										</div>
										<div class="col-md-4">
											<button type="button" data-class="btn-danger" data-number="10" class="btn btn-default btn-sm">Deficiente</button>
										</div>
									</td>
								</tr>
								<tr><input type="text" name="11" id="11" style="display:none;">
									<td class="text-center" style="vertical-align: middle">Aceptación de Instrucción</td>
									<td class="text-center" style="vertical-align: middle">
										<div class="col-md-4">
											<button type="button" data-class="btn-success" data-number="11" class="btn btn-default btn-sm">Bueno</button>
										</div>
										<div class="col-md-4">
											<button type="button" data-class="btn-warning" data-number="11" class="btn btn-default btn-sm">Regular</button>
										</div>
										<div class="col-md-4">
											<button type="button" data-class="btn-danger" data-number="11" class="btn btn-default btn-sm">Deficiente</button>
										</div>
									</td>
								</tr>
							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="row">
	<div class="col-md-6">
		<div class="card">
			<header class="card-heading card-blue">
				<h2 class="card-title">Actitud Ante El Medio</h2>
			</header>
			<div class="card-body">
				<div class="row">
					<div class="col-md-12">
						<table class="table table-bordered">
							<thead>
								<th class="text-center">Item</th>
								<th class="text-center">Evaluación</th>
							</thead>
							<tbody>
								<tr><input type="text" name="1" id="1" style="display:none;">
									<td class="text-center" style="vertical-align: middle">Capacidad de Adaptación</td>
									<td class="text-center" style="vertical-align: middle">
										<div class="col-md-4">
											<button type="button" data-class="btn-success" data-number="1" class="btn btn-default btn-sm">Bueno</button>
										</div>
										<div class="col-md-4">
											<button type="button" data-class="btn-warning" data-number="1" class="btn btn-default btn-sm">Regular</button>
										</div>
										<div class="col-md-4">
											<button type="button" data-class="btn-danger" data-number="1" class="btn btn-default btn-sm">Deficiente</button>
										</div>
									</td>
								</tr>
								<tr><input type="text" name="2" id="2" style="display:none;">
									<td class="text-center" style="vertical-align: middle">Relación con sus compañeros</td>
									<td class="text-center" style="vertical-align: middle">
										<div class="col-md-4">
											<button type="button" data-class="btn-success" data-number="2" class="btn btn-default btn-sm">Bueno</button>
										</div>
										<div class="col-md-4">
											<button type="button" data-class="btn-warning" data-number="2" class="btn btn-default btn-sm">Regular</button>
										</div>
										<div class="col-md-4">
											<button type="button" data-class="btn-danger" data-number="2" class="btn btn-default btn-sm">Deficiente</button>
										</div>
									</td>
								</tr>
								<tr><input type="text" name="3" id="3" style="display:none;">
									<td class="text-center" style="vertical-align: middle">Espíritu de Colaboración</td>
									<td class="text-center" style="vertical-align: middle">
										<div class="col-md-4">
											<button type="button" data-class="btn-success" data-number="3" class="btn  btn-default btn-sm">Bueno</button>
										</div>
										<div class="col-md-4">
											<button type="button" data-class="btn-warning" data-number="3" class="btn btn-default btn-sm">Regular</button>
										</div>
										<div class="col-md-4">
											<button type="button" data-class="btn-danger" data-number="3" class="btn btn-default btn-sm">Deficiente</button>
										</div>
									</td>
								</tr>
								<tr><input type="text" name="4" id="4" style="display:none;">
									<td class="text-center" style="vertical-align: middle">Interés en su Trabajo</td>
									<td class="text-center" style="vertical-align: middle">
										<div class="col-md-4">
											<button type="button" data-class="btn-success" data-number="4" class="btn btn-default btn-sm">Bueno</button>
										</div>
										<div class="col-md-4">
											<button type="button" data-class="btn-warning" data-number="4" class="btn btn-default btn-sm">Regular</button>
										</div>
										<div class="col-md-4">
											<button type="button" data-class="btn-danger" data-number="4" class="btn btn-default btn-sm">Deficiente</button>
										</div>
									</td>
								</tr>
								<tr><input type="text" name="5" id="5" style="display:none;">
									<td class="text-center" style="vertical-align: middle">Pro-actividad</td>
									<td class="text-center" style="vertical-align: middle">
										<div class="col-md-4">
											<button type="button" data-class="btn-success" data-number="5" class="btn btn-default btn-sm">Bueno</button>
										</div>
										<div class="col-md-4">
											<button type="button" data-class="btn-warning" data-number="5" class="btn btn-default btn-sm">Regular</button>
										</div>
										<div class="col-md-4">
											<button type="button" data-class="btn-danger" data-number="5" class="btn btn-default btn-sm">Deficiente</button>
										</div>
									</td>
								</tr>
							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="col-md-6">
		<div class="card">
			<header class="card-heading card-blue">
				<h2 class="card-title">Conocimientos Demostrados</h2>
			</header>
			<div class="card-body">
				<div class="row">
					<div class="col-md-12">
						<table class="table table-bordered">
							<thead>
								<th class="text-center" style="vertical-align: middle">Item</th>
								<th class="text-center" style="vertical-align: middle">Evaluación</th>
							</thead>
							<tbody>
								<tr><input type="text" name="12" id="12" style="display:none;">
									<td class="text-center" style="vertical-align: middle">Nivel de Conocimientos</td>
									<td class="text-center" style="vertical-align: middle">
										<div class="col-md-4">
											<button type="button" data-class="btn-success" data-number="12" class="btn btn-default btn-sm">Bueno</button>
										</div>
										<div class="col-md-4">
											<button type="button" data-class="btn-warning" data-number="12" class="btn btn-default btn-sm">Regular</button>
										</div>
										<div class="col-md-4">
											<button type="button" data-class="btn-danger" data-number="12" class="btn btn-default btn-sm">Deficiente</button>
										</div>
									</td>
								</tr>
								<tr><input type="text" name="13" id="13" style="display:none;">
									<td class="text-center" style="vertical-align: middle">Espíritu de Estudio</td>
									<td class="text-center" style="vertical-align: middle">
										<div class="col-md-4">
											<button type="button" data-class="btn-success" data-number="13" class="btn btn-default btn-sm">Bueno</button>
										</div>
										<div class="col-md-4">
											<button type="button" data-class="btn-warning" data-number="13" class="btn btn-default btn-sm">Regular</button>
										</div>
										<div class="col-md-4">
											<button type="button" data-class="btn-danger" data-number="13" class="btn btn-default btn-sm">Deficiente</button>
										</div>
									</td>
								</tr>
								<tr><input type="text" name="14" id="14" style="display:none;">
									<td class="text-center" style="vertical-align: middle">Actitud ante situaciones nuevas</td>
									<td class="text-center" style="vertical-align: middle">
										<div class="col-md-4">
											<button type="button" data-class="btn-success" data-number="14" class="btn btn-default btn-sm">Bueno</button>
										</div>
										<div class="col-md-4">
											<button type="button" data-class="btn-warning" data-number="14" class="btn btn-default btn-sm">Regular</button>
										</div>
										<div class="col-md-4">
											<button type="button" data-class="btn-danger" data-number="14" class="btn btn-default btn-sm">Deficiente</button>
										</div>
									</td>
								</tr>
							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="row">
	<div class="col-md-12">
		<div class="card">
			<header class="card-heading card-blue">
				<h2 class="card-title">Observaciones Finales</h2>
			</header>
			<div class="card-body">
				<div class="row">
					<div class="col-md-12">
						<div class="form-group">
							<label for="funciones_realizadas" class="control-label">Funciones Realizadas: </label>
							<textarea required class="form-control" name="funciones_realizadas" id="funciones_realizadas" rows="10"></textarea>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="form-group">
							<label for="observaciones" class="control-label">Observaciones, deficiencias educacionales, o acciones de mejoramiento: </label>
							<textarea  required class="form-control" name="observaciones" id="observaciones" rows="10"></textarea>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="row">
	<div class="col-md-12">
		<button type="submit" class="btn btn-block btn-success"><i class="fa fa-check"></i> Evaluar</button>
	</div>
	</form>
</div>
{% endblock content %}


{% block javascript %}

<script>

$(document).ready(function(){
	
	$(".btn").on("click",function(){
		if($(this).hasClass("btn-default")){
			num = $(this).data("number");
			$("."+String(num)).addClass("btn-default")
			$("."+String(num)).removeClass("btn-success");
			$("."+String(num)).removeClass("btn-warning");
			$("."+String(num)).removeClass("btn-danger");
			$(this).addClass(String(num));
			$(this).removeClass("btn-default");
			$(this).addClass($(this).data("class"));
			if($(this).data("class") == "btn-danger"){
				$("#"+num).val("D");
			}
			else if($(this).data("class") == "btn-success"){
				$("#"+num).val("B");
			}
			else{
				$("#"+num).val("R");
			}
		}
	});
});

</script>

{% endblock javascript %}